@target: mips, mipt2

package main;

const (
    LIN  = 2
    COL  = 2 
)
var (
    matrizA [LIN][COL]int 
    matrizB [LIN][COL]int
    matrizR [LIN][COL]int
)

func preenche(){
    var k = 1
    for i := 0; i < LIN ; i++ {
        for j := 0; j < COL ; j++ {
            matrizA[i][j] = k
            matrizB[i][j] = k
            k++
        }
    }
}

func multiplica() {
    var aux = 0
    for i := 0; i < LIN; i++ {
        for j := 0; j < COL; j++ {
            for k := 0; k < LIN; k++ {
                aux = aux + (matrizA[i][k] * matrizB[k][j])
            }
            matrizR[i][j] = aux
            aux = 0
        }
    }
}

func main() {
    var (
        x int
    )

    x = x + 2
    x = x & 9
    x = x | 9
    preenche()
    multiplica()
    return x
}
